<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.database.plan.PlanModel.NodeType OPTIMIZE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8770.65&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.AbstractPlanModelBuilder void withPreserved(com.intellij.database.dataSource.DatabaseConnection, com.intellij.database.plan.AbstractPlanModelBuilder.ResourceUser&lt;com.intellij.database.dataSource.DatabaseConnection&gt;, com.intellij.database.plan.AbstractPlanModelBuilder.StateSaver[])">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.ExplainPlanProvider myDbms">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.RefNode">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.AbstractPlanModelBuilder void failWithEmptyResultSetError()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.3458.5&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.PlanVisitor void visit(com.intellij.database.plan.PlanModel.RefNode)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel void setDataSourceId(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.NodeType SUBPLAN">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.6682.168&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.GenericNode com.intellij.database.plan.PlanModel.Hint[] getHints()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel boolean isActual()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.GenericNode java.lang.Double getActualTotalTime()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.ExplainPlanProvider boolean isSupported(com.intellij.database.util.Version, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.AbstractPlanModelBuilder.StateSaver void restore(com.intellij.database.dataSource.DatabaseConnection)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel java.lang.String getDataSourceId()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.AbstractPlanModelBuilder com.intellij.database.dataSource.connection.statements.ResultsProducer.VoidReadyProcessor&lt;kotlin.Unit&gt; processing(com.intellij.util.ThrowableConsumer&lt;java.sql.ResultSet,java.sql.SQLException&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.3458.5&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.GenericNode NO_HINTS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.GenericNode void setActualStartupTime(java.lang.Double)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.GenericNode java.lang.Double getActualStartupTime()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.GenericNode com.intellij.database.plan.PlanModel getModel()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2949.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.GenericNode void setActualTotalTime(java.lang.Double)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.GenericNode void setActualNumRows(java.math.BigDecimal)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.NodeType REUSE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.GenericNode com.intellij.database.plan.PlanModel.GenericNode getParentNode()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2949.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.GenericNode java.lang.String getFullTitle()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2949.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.AbstractPlanModelBuilder.StateSaver void save(com.intellij.database.dataSource.DatabaseConnection)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.NodeType RECURSION">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.7142.36&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.RefNode com.intellij.database.plan.PlanModel.GenericNode closeReference(com.intellij.database.plan.PlanModel.GenericNode)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.13135.103&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.AbstractPlanModelBuilder void useStatementWithPreserved(com.intellij.database.dataSource.DatabaseConnection, com.intellij.database.plan.AbstractPlanModelBuilder.ResourceUser&lt;java.sql.Statement&gt;, com.intellij.database.plan.AbstractPlanModelBuilder.StateSaver[])">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.RefNode com.intellij.database.plan.PlanModel.GenericNode closeReuse(com.intellij.database.plan.PlanModel.GenericNode)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.13135.103&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.Action">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.GenericNode void setHints(com.intellij.database.plan.PlanModel.Hint[])">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.ExplainPlanProvider EP">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.5429.20&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.GenericNode java.math.BigDecimal getActualNumRows()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.NodeType NETWORK">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.4668.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.ExplainPlanProvider ExplainPlanProvider(com.intellij.database.Dbms)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3795.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel.Hint">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.ExplainPlanProvider.RawExplainTask">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.ExplainPlanProvider com.intellij.database.plan.ExplainPlanProvider.RawExplainTask createRawExplainTask(com.intellij.database.dataSource.LocalDataSource, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.ExplainPlanProvider com.intellij.database.plan.ExplainPlanProvider getDefaultProvider(com.intellij.database.dataSource.LocalDataSource)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.1628.17&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.PlanModel PlanModel(com.intellij.database.plan.PlanModel.GenericNode, boolean, java.util.EnumSet&lt;com.intellij.database.plan.PlanModel.Feature&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.database.plan.ExplainPlanProvider boolean isRawSupported(com.intellij.database.util.Version, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
</root>
